CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

SetCellClass Method (ActiveX)

2023-1-4 03:12| 发布者: admin| 查看: 691| 评论: 0|来自: AutoCAD

摘要: 设置单元格样式的类。

设置单元格样式的类。

支持的平台:仅窗口

签名

工 务 局:

object.SetCellClass StringCellStyle, cellClass
对象

类型:表格样式

此方法适用的对象。

字符串单元格样式

访问:仅输入

类型:字符串

单元格样式名称。

细胞类

访问:仅输入

类型:整数

单元格样式类。

返回值(RetVal)

无返回值。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_CellClass()
    ' This example creates a TableStyle object and sets values for
    ' the style classes and formatting.
    
    Dim dictionaries As AcadDictionaries
    Set dictionaries = ThisDrawing.Database.dictionaries
  
    Dim dictObj As AcadDictionary
    Set dictObj = dictionaries.Item("acad_tablestyle")
  
    ' Create the custom TableStyle object in the dictionary
    Dim keyName As String
    Dim className As String
    Dim customObj As IAcadTableStyle
    keyName = "NewStyle"
    className = "AcDbTableStyle"
    Set customObj = dictObj.AddObject(keyName, className)
      
    customObj.Name = "NewStyle"
    customObj.Description = "New Style for My Tables"
  
    customObj.CreateCellStyle ("NewTestStyle")
    Dim cellTestFormat As String
      
    customObj.SetCellClass "NewTestStyle", 4
      
    customObj.SetRotation "NewTestStyle", 8.4
      
    MsgBox "The cell class is " & customObj.GetCellClass("NewTestStyle") & _
           " the cell rotation is " & customObj.GetRotation("NewTestStyle")
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_CellClass()
    ;; This example creates a TableStyle object and sets values for
    ;; the style classes and formatting.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    (setq dictionaries (vla-get-Dictionaries doc))
  
    (setq dictObj (vla-Item dictionaries "acad_tablestyle"))
  
    ;; Create the custom TableStyle object in the dictionary
    (setq keyName "NewStyle"
          className "AcDbTableStyle")
    (setq customObj (vla-AddObject dictObj keyName className))
      
    (vla-put-Name customObj "NewStyle")
    (vla-put-Description customObj "New Style for My Tables")
  
    (vla-CreateCellStyle customObj "NewTestStyle")

    (vla-SetCellClass customObj "NewTestStyle" 4)
    (vla-SetRotation customObj "NewTestStyle" 8.4)
      
    (alert (strcat "The cell class is " (itoa (vla-GetCellClass customObj "NewTestStyle"))
                   " and the cell rotation is " (rtos (vla-GetRotation customObj "NewTestStyle") 2) "."
           )
    )
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 17:35

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部